> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# モデルを削除

> モデル、そのすべての checkpoint、Artifacts、および関連する W&B run を削除します。



## OpenAPI

````yaml /ja/serverless-training/api-reference/openapi.json delete /v1/preview/models/{model_id}
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers: []
security: []
paths:
  /v1/preview/models/{model_id}:
    delete:
      tags:
        - models
      summary: モデルを削除
      description: モデル、そのすべての checkpoint、Artifacts、および関連する W&B run を削除します。
      operationId: delete_model_v1_preview_models__model_id__delete
      parameters:
        - in: path
          name: model_id
          required: true
          schema:
            title: Model Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteModelResponse'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBearer: []
components:
  schemas:
    DeleteModelResponse:
      description: モデル削除レスポンスのスキーマ。
      properties:
        deleted_checkpoints:
          title: Deleted Checkpoints
          type: integer
        deleted_run:
          title: Deleted Run
          type: boolean
        model_id:
          format: uuid
          title: Model Id
          type: string
      required:
        - model_id
        - deleted_checkpoints
        - deleted_run
      title: DeleteModelResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````